Categories:
  - Multimedia
  - System
License: MIT
AuthorName: Dmitriy Krivoruchko
AuthorEmail: dkrivoruchko@gmail.com
SourceCode: https://github.com/dkrivoruchko/ScreenStream
IssueTracker: https://github.com/dkrivoruchko/ScreenStream/issues
Changelog: https://github.com/dkrivoruchko/ScreenStream/releases

AutoName: ScreenStream
Description: |-
    The application allows viewing the device screen in your web browser. The main
    idea is to show your device screen during presentations and demos. No need of
    any additional software except for this app and a web browser. No annoying ads
    or pop-ups.

    It uses MJPEG to encode screen images and send them through the network. So it
    works with any desktop or mobile browser which supports MJPEG (Chrome, Safari,
    EDGE, Firefox).

    The application works via WiFi and/or 3G/LTE network. Fast and stable WiFi
    recommended because of high traffic and low network delay requirement. No
    Internet required, however, there must be a network connection between the
    client and the device.

    The number of client connections is unlimited, but be aware that each of them
    requires some CPU resources and bandwidth to send data.

    Application uses Android Cast feature and requires at least Android 5.0 to run.

    WARNING: This is not a real time streaming app. Expected delay is at least 0.5-1
    second or more on slow devices, bad WiFi or on heavy CPU load by other apps.

    WARNING: This app is not designed for streaming video, especially HD video. Use
    Chromecast instead.

    WARNING: This app does NOT support SOUND streaming, because MJPEG does not
    support sound.

    WARNING: Some cell operators may block incoming connections to your device for
    security reasons, so, even if the device has an IP address from a cell operator,
    you may not be able to connect to the device on using this IP address.

    WARNING: Some WiFi networks (mostly public/guest) block connections between its
    clients for security reasons, so you may not be able to connect to the device
    via WiFi. For example, a laptop and a phone in this such a WiFi network will not
    be able to connect to each other.

RepoType: git
Repo: https://github.com/dkrivoruchko/ScreenStream

Builds:
  - versionName: 2.1.4
    versionCode: 214
    commit: 2.1.4
    subdir: app
    output: build/outputs/apk/fabricfree/app-fabricfree-unsigned.apk
    prebuild: sed -i -e '/maven {$/,/}/d' -e '/fabric\.io/d' -e '/io\.fabric/d' ../build.gradle
        build.gradle
    build: gradle assembleFabricfree

  - versionName: 2.1.5
    versionCode: 215
    commit: 2.1.5
    subdir: app
    output: build/outputs/apk/fabricfree/app-fabricfree-unsigned.apk
    prebuild: sed -i -e '/maven {$/,/}/d' -e '/fabric\.io/d' -e '/io\.fabric/d' ../build.gradle
        build.gradle
    build: gradle assembleFabricfree

  - versionName: 3.0.17
    versionCode: 30017
    commit: 3.0.17
    subdir: app
    output: build/outputs/apk/fabricfree/app-fabricfree-unsigned.apk
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle
    build: gradle assembleFabricfree

  - versionName: 3.0.18
    versionCode: 30018
    commit: 3.0.18
    subdir: app
    output: build/outputs/apk/fabricfree/app-fabricfree-unsigned.apk
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle
    build: gradle assembleFabricfree

  - versionName: 3.1.0
    versionCode: 30100
    commit: 3.1.0
    subdir: app
    output: build/outputs/apk/fabricfree/app-fabricfree-unsigned.apk
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle
    build: gradle assembleFabricfree

  - versionName: 3.1.1
    versionCode: 30101
    commit: 3.1.1
    subdir: app
    output: build/outputs/apk/fabricfree/app-fabricfree-unsigned.apk
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle
    build: gradle assembleFabricfree

  - versionName: 3.1.3
    versionCode: 30103
    commit: 3.1.3
    subdir: app
    output: build/outputs/apk/fabricfree/app-fabricfree-unsigned.apk
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle
    build: gradle assembleFabricfree

  - versionName: 3.1.4
    versionCode: 30104
    commit: 3.1.4
    subdir: app
    output: build/outputs/apk/fabricfree/app-fabricfree-unsigned.apk
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle
    build: gradle assembleFabricfree

  - versionName: 3.1.5
    versionCode: 30105
    commit: 3.1.5
    subdir: app
    gradle:
      - fabricfree
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle

  - versionName: 3.1.6
    versionCode: 30106
    commit: 3.1.6
    subdir: app
    gradle:
      - fabricfree
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle

  - versionName: 3.1.7
    versionCode: 30107
    commit: 3.1.7
    subdir: app
    gradle:
      - fabricfree
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle

  - versionName: 3.1.8
    versionCode: 30108
    commit: 3.1.8
    subdir: app
    gradle:
      - fabricfree
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle

  - versionName: 3.2.0
    versionCode: 30200
    commit: 3.2.0
    subdir: app
    gradle:
      - fabricfree
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle

  - versionName: 3.2.1
    versionCode: 30201
    commit: 3.2.1
    subdir: app
    gradle:
      - fabricfree
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle

  - versionName: 3.3.0
    versionCode: 30300
    commit: 3.3.0
    subdir: app
    gradle:
      - fabricfree
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle

  - versionName: 3.3.1
    versionCode: 30301
    commit: 3.3.1
    subdir: app
    gradle:
      - fabricfree
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle

  - versionName: 3.3.2
    versionCode: 30302
    commit: 3.3.2
    subdir: app
    gradle:
      - fabricfree
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle

  - versionName: 3.4.0
    versionCode: 30400
    commit: 3.4.0
    subdir: app
    gradle:
      - fabricfree
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle

  - versionName: 3.4.2
    versionCode: 30402
    commit: 3.4.2
    subdir: app
    gradle:
      - fabricfree
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle
      - sed -i '/systemProp\.http\.proxy/d' ~/.gradle/gradle.properties

  - versionName: 3.4.3
    versionCode: 30403
    commit: 3.4.3
    subdir: app
    gradle:
      - fabricfree
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle
      - sed -i '/systemProp\.http\.proxy/d' ~/.gradle/gradle.properties

  - versionName: 3.4.4
    versionCode: 30404
    commit: 3.4.4
    subdir: app
    gradle:
      - fabricfree
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle
      - sed -i '/systemProp\.http\.proxy/d' ~/.gradle/gradle.properties

  - versionName: 3.4.5
    versionCode: 30405
    commit: 3.4.5
    subdir: app
    gradle:
      - fabricfree
    prebuild:
      - sed -i -e '/fabric\.io/d; s|= uri("https://jitpack\.io")|"https://jitpack.io"|'
        ../build.gradle
      - sed -i -e '/io\.fabric/d; /com\.google\.gms/d' ../build.gradle build.gradle
      - sed -i -e '/releaseImplementation/d; /^android\.applicationVariants\.all {/,/^}$/d'
        build.gradle
      - sed -i '/systemProp\.http\.proxy/d' ~/.gradle/gradle.properties

  - versionName: 3.4.8
    versionCode: 30408
    commit: 3.4.8
    subdir: app
    gradle:
      - firebasefree
    prebuild:
      - sed -i -e 's|= uri("https://jitpack\.io")|"https://jitpack.io"|' ../build.gradle
      - sed -i -e '/com\.google\.firebase/d; /com\.google\.gms/d' ../build.gradle
        build.gradle
      - sed -i -e '/firebaseCrashlytics/,+2d' -e '/^android\.applicationVariants\.all
        {/,/^}$/d' build.gradle

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 3.4.8
CurrentVersionCode: 30408
